OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.APPLE.ObjectPurgeable

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAPPLEObjectPurgeable :: MonadIO m => m Bool
- gl_APPLE_object_purgeable :: Bool
- pattern GL_BUFFER_OBJECT_APPLE :: GLenum
- pattern GL_PURGEABLE_APPLE :: GLenum
- pattern GL_RELEASED_APPLE :: GLenum
- pattern GL_RETAINED_APPLE :: GLenum
- pattern GL_UNDEFINED_APPLE :: GLenum
- pattern GL_VOLATILE_APPLE :: GLenum
- glGetObjectParameterivAPPLE :: MonadIO m => GLenum -> GLuint -> GLenum -> Ptr GLint -> m ()
- glObjectPurgeableAPPLE :: MonadIO m => GLenum -> GLuint -> GLenum -> m GLenum
- glObjectUnpurgeableAPPLE :: MonadIO m => GLenum -> GLuint -> GLenum -> m GLenum

# Extension Support

glGetAPPLEObjectPurgeable :: MonadIO m => m Bool Source #

Is the APPLE_object_purgeable extension supported?

gl_APPLE_object_purgeable :: Bool Source #

Is the APPLE_object_purgeable extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAPPLEObjectPurgeable` in those cases instead.

# Enums

pattern GL_BUFFER_OBJECT_APPLE :: GLenum Source #

pattern GL_PURGEABLE_APPLE :: GLenum Source #

pattern GL_RELEASED_APPLE :: GLenum Source #

pattern GL_RETAINED_APPLE :: GLenum Source #

pattern GL_UNDEFINED_APPLE :: GLenum Source #

pattern GL_VOLATILE_APPLE :: GLenum Source #

# Functions

glGetObjectParameterivAPPLE Source #

Arguments

:: MonadIO m |
=> GLenum | `objectType`.
-> GLuint | `name`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glObjectPurgeableAPPLE Source #

Arguments

:: MonadIO m |
=> GLenum | `objectType`.
-> GLuint | `name`.
-> GLenum | `option`.
-> m GLenum |

glObjectUnpurgeableAPPLE Source #

Arguments

:: MonadIO m |
=> GLenum | `objectType`.
-> GLuint | `name`.
-> GLenum | `option`.
-> m GLenum |